net.corda.node.services.messaging

## Interface ArtemisMessagingComponent.ArtemisPeerAddress

- All Superinterfaces:
    ArtemisMessagingComponent.ArtemisAddress, MessageRecipients, SingleMessageRecipient
  All Known Implementing Classes:
    ArtemisMessagingComponent.NetworkMapAddress, ArtemisMessagingComponent.NodeAddress
  Enclosing class:
    ArtemisMessagingComponent

      public static ArtemisMessagingComponent.ArtemisPeerAddress
      extends ArtemisMessagingComponent.ArtemisAddress, SingleMessageRecipient

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.net.HostAndPort` | `getHostAndPort()`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisAddress

      `getQueueName`

- - ### Method Detail

    - #### getHostAndPort

          com.google.common.net.HostAndPort getHostAndPort()